
From: Jim Houston <jim.houston@ccur.com>

Andi's change for a single debug notifier is fine, but the earlier addition
of DIE_PAGE_FAULT broke the kgdb stub in Andrew's -mm tree.  The attached
patch fixes this problem by ignoring this notification for page faults.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/x86_64/kernel/kgdb_stub.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN arch/x86_64/kernel/kgdb_stub.c~kgdb-x86_64-support-fix arch/x86_64/kernel/kgdb_stub.c
--- 25/arch/x86_64/kernel/kgdb_stub.c~kgdb-x86_64-support-fix	2005-04-25 18:44:57.391018088 -0700
+++ 25-akpm/arch/x86_64/kernel/kgdb_stub.c	2005-04-25 18:45:26.595578320 -0700
@@ -2193,6 +2193,8 @@ static int kgdb_notify(struct notifier_b
 {
 	struct die_args *d = ptr;
 
+	if (cmd == DIE_PAGE_FAULT)
+		return NOTIFY_DONE;
 	if (!kgdb_enabled || (cmd == DIE_DEBUG && user_mode(d->regs)))
 		return NOTIFY_DONE;
 	if (cmd == DIE_NMI_IPI) {
_
